import { generateUtilityClass as e, generateUtilityClasses as s } from "@mui/material";
import { unstable_composeClasses as r } from "@mui/base";
import { componentName as t } from "./constants.js";
s(
  t,
  [
    /* elements */
    "root"
    /* states or variants of elements */
  ]
);
function l(o) {
  return e(t, o);
}
const m = () => ({
  ...r({
    root: ["root"],
    property: ["property"],
    value: ["value"],
    skeletonProperty: ["skeletonProperty"]
  }, l, {})
});
export {
  m as RHFormProviderUtilityClasses,
  l as getRHFormProviderUtilityClass
};
